* Encoding: windows-1252.
/************************************************************************************************************/
/*                                                                                                                                     */
/* This SAS program will extract the United States Sentencing Commission's 21 U.S.C.  851*/
/* Enhanced Drug Penalty Fiscal Year 2016 file and create a SAS dataset.                           */
/*                                                                                                                                    */
/* Prior to running the program you must update the DAT file location in the FILNAME line      */
/* to correspond to the location of the file on your computer.                                                 */
/*                                                                                                                                    */
/* You must also update the library location in the LIBNAME statement to correspond to       */
/* the folder you want the output file to be located.                                                              */
/*                                                                                                                                   */
/***********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\drug851fy16nid.dat" LRECL=482 .

DATA LIST FILE=DATA/
   USSCIDN 1-7              STMIN851 8-11            STMAX851 12-16        
   FILED 17                 WITHDRWN 18              RELIEF 19             
   CTRELIEF 20              CRMHT851 21              INDTDATE 22-32 (DATE) 
   FILEDATE 33-43 (DATE)    PROFFN1 44-46            PROFFN2 47-49         
   PROFFN3 50-52            PROFFN4 53-55            PROFFN5 56-58         
   PROFFN6 59-61            PROFFN7 62-64            PROFFN8 65-67         
   PROFFN9 68-70            PROFFN10 71-73           PROFFN11 74-76        
   PROFFN12 77-79           PROFFN13 80-82           PROFFN14 83-85        
   PROFFN15 86-88           PROFFN16 89-91           PROFFN17 92-94        
   PROFFN18 95-97           PROFFN19 98-100          PROFFN20 101-103      
   PROFFN21 104-106         PROFFN22 107-109         PROFFN23 110-112      
   PRSENT1 113-116          PRSENT2 117-120          PRSENT3 121-124       
   PRSENT4 125-128          PRSENT5 129-132          PRSENT6 133-136       
   PRSENT7 137-140          PRSENT8 141-144          PRSENT9 145-148       
   PRSENT10 149-152         PRSENT11 153-156         PRSENT12 157-160      
   PRSENT13 161-162         PRSENT14 163-164         PRSENT15 165-166      
   PRSENT16 167-168         PRSENT17 169-170         PRSENT18 171-172      
   PRSENT19 173             PRSENT20 174-176         PRSENT21 177          
   PRSENT22 178-179         PRSENT23 180-181         PRSNDT1 182-192 (DATE)
   PRSNDT2 193-203 (DATE)   PRSNDT3 204-214 (DATE)   PRSNDT4 215-225 (DATE)
   PRSNDT5 226-236 (DATE)   PRSNDT6 237-247 (DATE)   PRSNDT7 248-258 (DATE)
   PRSNDT8 259-269 (DATE)   PRSNDT9 270-280 (DATE)   PRSNDT10 281-291 (DATE)
   PRSNDT11 292-302 (DATE)   PRSNDT12 303-313 (DATE)   PRSNDT13 314-324 (DATE)
   PRSNDT14 325-335 (DATE)   PRSNDT15 336-346 (DATE)   PRSNDT16 347-357 (DATE)
   PRSNDT17 358-368 (DATE)   PRSNDT18 369-379 (DATE)   PRSNDT19 380-390 (DATE)
   PRSNDT20 391-401 (DATE)   PRSNDT21 402-412 (DATE)   PRSNDT22 413-423 (DATE)
   PRSNDT23 424-434 (DATE)   OFFENNUM 435-436         PRCHPT1 437           
   PRCHPT2 438              PRCHPT3 439              PRCHPT4 440           
   PRCHPT5 441              PRCHPT6 442              PRCHPT7 443           
   PRCHPT8 444              PRCHPT9 445              PRCHPT10 446          
   PRCHPT11 447             PRCHPT12 448             PRCHPT13 449          
   PRCHPT14 450             PRCHPT15 451             PRCHPT16 452          
   PRCHPT17 453             PRCHPT18 454             PRCHPT19 455          
   PRCHPT20 456             PRCHPT21 457             PRCHPT22 458          
   PRCHPT23 459             PRFELN1 460              PRFELN2 461           
   PRFELN3 462              PRFELN4 463              PRFELN5 464           
   PRFELN6 465              PRFELN7 466              PRFELN8 467           
   PRFELN9 468              PRFELN10 469             PRFELN11 470          
   PRFELN12 471             PRFELN13 472             PRFELN14 473          
   PRFELN15 474             PRFELN16 475             PRFELN17 476          
   PRFELN18 477             PRFELN19 478             PRFELN20 479          
   PRFELN21 480             PRFELN22 481             PRFELN23 482 .        


SAVE OUTFILE='.\drug851fy16nid.sav'.
